Download it now!
Bug 125783 - .uno:WhatsNew command lacks name and tooltip
Summary: .uno:WhatsNew command lacks name and tooltip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.4.0 target:6.3.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-07 14:19 UTC by Muhammet Kara
Modified: 2019-07-19 13:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammet Kara 2019-06-07 14:19:19 UTC
As stated in the title, the uno command .uno:WhatsNew lacks name and description/tooltip.

It needs to be added to one of the .xcu files (like officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu) to be nicely displayed in the Customize dialog, in menus, and on toolbars...


Steps to reproduce:
1- Open Tools > Customize...
2- Check the left "Functions" box/list

What happens:
You see ".uno:WhatsNew" at the top of the list.

What should happen:
You should see a sensible name for this command instead.
Comment 1 Heiko Tietze 2019-06-07 20:46:39 UTC
We better hide this command from the customization. You can access it also via Help > About. Hope to find time next week.
Comment 2 Commit Notification 2019-07-15 13:53:16 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c96707fa8d3a81e0c2f425db2029f65b3481aa27%5E%21

tdf#125783 - .uno:WhatsNew command lacks name and tooltip

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-07-18 20:12:02 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/235a74d2e9d0e5e991777ef6d1a1625dab009670%5E%21

tdf#125783 - .uno:WhatsNew command lacks name and tooltip

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.